### File

`packages/ecl/components/ecl-splash-page/ecl-splash-page-language-link/ecl-splash-page-language-link.component.ts`

### Description

Component representing a link to a language version on the splash page. Displays the name of the language based on the provided language code.

### Extends

`ECLBaseDirective`

### Implements

`OnInit`

### Metadata

selector | `a[eclSplashPageLanguageLink]`
templateUrl | `./ecl-splash-page-language-link.component.html`

### Index

###### Properties
langLabel
###### Methods
getCssClasses
###### Inputs
lang class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

lang
Type : `string`
Language code used to determine and display the language label. Example: 'en', 'fr', 'de'

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Binds the ECL splash page language link styling classes to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

langLabel
Type : `string`
Label of the language resolved from the provided `lang` input.

### Accessors

cssClasses
get `cssClasses()`
Binds the ECL splash page language link styling classes to the host element. Returns : `string`

# results matching ""

# No results matching ""